Support Français Contact Support

Supported Browsers


Mobile devices, smartphones, and/or tablets (including Microsoft Surface Pros or iPads) are not supported at this time.


Supported Browsers 

For the best experience on the Kira Talent platform, please use one of the browsers listed below.

  • Google Chrome: Version ≥ 65 (recommended)
  • Firefox: Versions ≥ 52
  • Safari: Versions≥ 10 
  • Microsoft Edge: ≥ 14
  • Internet Explorer: ≥ 11 (Please note that if you see (HTML5) in the top left corner of your Device Setup, Practice, or Assessment, IE is not supported).

You will need to update your browser to complete Device Setup, you can ensure you have the latest versions here:  http://outdatedbrowser.com/en


Minimum Adobe Flash Requirement

The minimum supported Flash version is 27 for all operating systems. (Please note that if you see (HTML5) in the top left corner of your Device Setup, Practice, or Assessment, the Flash requirements above don't apply).


Supported Devices

In order to use the Kira platform, you'll need to have a laptop or desktop computer, a working front-facing camera, a working microphone, and speakers (a headset with a microphone will work too).


Still need help? Contact Us Contact Us